//============================
//    	Name: @KEYFRAMES
//============================


+key(dots-scale) {
	0% {
		transform scale(1)
	}
	40% {
		transform scale(.6)
	}
	60% {
		transform scale(1.5)
	}
	100% {
		transform scale(1.3)
	}
}

+key(size-width) {
	0% {
		width 0
	}
	100% {
		width 100%
	}
}


+key(radio-zoom-cyrcle) {
	0% {
		transform scale(0)
		border-radius 0%
	}
	100% {
		transform scale(1)
		border-radius 100%
	}
}


+key(radio-zoom) {
	0% {
		transform scale(0)
		border-radius 100%
	}
	100% {
		transform scale(1)
		border-radius 0%
	}
}

+key(opacity-true) {
	0% {
		opacity 0
	}	
	100% {
		opacity 1
	}
}
+key(opacity-false) {
	0% {
		display grid
		opacity 1
	}	
	90% {
		opacity 0
	}
	100% {
		display none
	}
}

+key(fade-my-image) {
	0% {
		opacity 1
	}
	100% {
		opacity 0
	}
}

+key(form-spiner-true) {
	0% {
		transform:	rotateY(0) 
	}
	100% {
		transform:	rotateY(90deg) 
	}
}

+key(form-spiner-false) {
	0% {
		transform:	rotateY(90deg) 
	}
	100% {
		transform:	rotateY(0)
	}
}

+key(smooth-scale) {
	0% {
	 transform: scale(1)
	}
	100% {
	 transform: scale(1.05)
	}
}

+key(smooth-x-moving) {
	for i in 0..5 {
		{100% - (10% * i)} {
			transform: translateX(-.45% * i)
		}
		{100% - (20% * i)} {
			transform: translateX(.45% * i)
		}
	}
}

+key(blink-blink) {
	0% { 
	 opacity 0
	}
	50% {
	 opacity 1
	}
	100% {
	 opacity 0
	}
}

+key(swift-right-true) {
	from {
	 margin-right -100%
	}
	to {
	 margin-right 0
	}
}
